# Class ContentGeneratorDescriptor

java.lang.Object
org.eclipse.ui.views.markers.internal.ContentGeneratorDescriptor

public class ContentGeneratorDescriptor extends Object
ContentGeneratorDescriptor is the direct representation of the markerContentGenerator extension point.

Since:
  3.6

## Constructor Summary

Constructors
Constructor
Description
`ContentGeneratorDescriptor(IConfigurationElement element)`
Create a new ContentGeneratorDescriptor

## Method Summary

Modifier and Type
Method
Description
`void`
`addExtensions(Collection<IConfigurationElement> extensions)`
Add the extensions to the receiver.
`boolean`
`allTypesSelected(Collection<MarkerType> selectedTypes)`
Return whether or not all of `MarkerTypesModel` are in the selectedTypes.
`MarkerField[]`
`getAllFields()`
Get the all of the fields that this content generator is using.
`String`
`getCategoryName()`
Get the category name from the receiver.
`IConfigurationElement[]`
`getFilterReferences()`
Return the configuration elements for the receiver.
`String`
`getId()`
Return the id of the receiver.
`MarkerField[]`
`getInitialVisible()`
Get the list of initially visible fields
`Collection<MarkerGroup>`
`getMarkerGroups()`
Get the markerGroups associated with the receiver.
`Collection<MarkerType>`
`getMarkerTypes()`
Return the markerTypes for the receiver.
`String`
`getName()`
Return the name for the receiver.
`MarkerType`
`getType(String typeId)`
Return the type for typeId.
`Map<String, MarkerType>`
`getTypesTable()`
Get the table that maps type ids to markerTypes.
`void`
`initializeFromConfigurationElement(MarkerSupportRegistry registry)`
Initialise the receiver from the configuration element.
`void`
`removeExtension(IConfigurationElement element)`
Remove the element from the generator extensions

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentGeneratorDescriptor

public ContentGeneratorDescriptor(IConfigurationElement element)
Create a new ContentGeneratorDescriptor

## Method Details

### addExtensions

public void addExtensions(Collection<IConfigurationElement> extensions)
Add the extensions to the receiver.

Parameters:
  `extensions` - Collection of `IConfigurationElement`

### allTypesSelected

public boolean allTypesSelected(Collection<MarkerType> selectedTypes)
Return whether or not all of `MarkerTypesModel` are in the selectedTypes.

Returns:
  boolean

### getAllFields

public MarkerField[] getAllFields()
Get the all of the fields that this content generator is using.

Returns:
  `MarkerField`[]

### getCategoryName

public String getCategoryName()
Get the category name from the receiver.

Returns:
  categoryName

### getFilterReferences

public IConfigurationElement[] getFilterReferences()
Return the configuration elements for the receiver.

Returns:
  IConfigurationElement[]

### getId

public String getId()
Return the id of the receiver.

Returns:
  String

### getInitialVisible

public MarkerField[] getInitialVisible()
Get the list of initially visible fields

Returns:
  `MarkerField`[]

### getMarkerGroups

public Collection<MarkerGroup> getMarkerGroups()
Get the markerGroups associated with the receiver.

Returns:
  Collection of `MarkerGroup`

### getMarkerTypes

public Collection<MarkerType> getMarkerTypes()
Return the markerTypes for the receiver.

Returns:
  Collection of `MarkerType`

### getName

public String getName()
Return the name for the receiver.

Returns:
  String

### getType

public MarkerType getType(String typeId)
Return the type for typeId.

Returns:
  `MarkerType` or `null` if it is not found.

### getTypesTable

public Map<String, MarkerType> getTypesTable()
Get the table that maps type ids to markerTypes.

Returns:
  Map of `String` to `MarkerType`

### initializeFromConfigurationElement

public void initializeFromConfigurationElement(MarkerSupportRegistry registry)
Initialise the receiver from the configuration element. This is done as a post processing step.

Parameters:
  `registry` - the MarkerSupportRegistry being used to initialise the receiver.

### removeExtension

public void removeExtension(IConfigurationElement element)
Remove the element from the generator extensions